import '@/styles/globals.css';
import Global from '@/layout/GlobalLayout';
import AppContext from '@/hooks/AppContext';
interface LayoutProps {
  children: React.ReactNode;
}

export default function RootLayout({ children }: LayoutProps) {
  return (
    <html>
      <head>
        <meta content="width=device-width, initial-scale=1" name="viewport" />
        <link rel="icon" href="/favicon.ico" />
      </head>
      <body>
        <AppContext>
          <Global>
          {children}
          </Global>
        </AppContext>
      </body>
    </html>
  );
}
