'use client';
import Navigation from "@/components/layout/Navigation/Navigation";
import { Context } from "@/hooks/AppContext";

import React, { useContext } from "react";
interface GlobalLayoutProps{
    children: React.ReactNode;
}
const Global:React.FC<GlobalLayoutProps> = ({children}) => {
    const {theme,ToggleTheme,handleFilter} = useContext(Context);
    return (
        <div className={`${theme}`}>
            <div className={`bg-light dark:bg-black min-h-screen`}>
                <Navigation onSearch={handleFilter}
                onChangeTheme={ToggleTheme} />
            {children}
        </div>
        </div>
        );
}
 
export default Global;